Subject: Re: bug#808: Broken OPENSSL_init_ssl and debian unwilling to fix their bugs

From: Mark Hindley <[email-masked]>
Date: Mon, 27 Nov 2023 20:35:39 +0000

Control: tags -1 debian
Control: forwarded -1 https://bugs.debian.org/1057000

Klaus,

On Mon, Nov 27, 2023 at 08:43:29PM +0100, Klaus Ethgen wrote:
> Package: apt-listchanges
> Version: 3.27
> Severity: normal
> 
> Unfortunately, debian is unwilling to fix their bugs. I get the response
> in 1057000: "Please report Devuan bugs to Devuan's bug tracker. Debian
> cannot do technical support for derivative distributions."

Actually, the substantive response you got was

  Those errors aren't coming from apt-listchanges. I don't know where they're
  coming from, all I can tell you is it's something else apt is calling, not
  apt-listchanges. There's zero ruby code in apt-listchanges.

> After recent updates, apt-listchanges is somewhat broken:
>    Laden der Fehlerberichte ? 0% Fehlgeschlagen
>    Das Laden der Fehlerberichte vom Server ist mit folgender Fehlermeldung fehlgeschlagen:
>    E: OPENSSL_init_ssl
>    Es könnte an Ihrem inaktiven Netzwerk oder an einem fehlerhaften Proxy-Server liegen oder der BTS-Server ist nicht aktiv. Überprüfen Sie die Netzwerkkonfiguration und versuchen Sie es
> +erneut
>    Soll erneut versucht werden, die Informationen zu dem Fehler herunterzuladen? [Y/n]
>    Jeweils ein Paket? [Y/n]
>    Jeweils ein Fehlerbericht? [Y/n]
>    /usr/share/rubygems-integration/all/gems/soap4r-ruby1.9-2.0.5/lib/soap/streamHandler.rb:24: warning: already initialized constant SOAP::StreamHandler::RUBY_VERSION_STRING
>    /usr/share/rubygems-integration/all/gems/soap4r-ruby1.9-2.0.5/lib/soap/streamHandler.rb:24:
>    warning: previous definition of RUBY_VERSION_STRING was here

So you need to work out where these ruby files are from and how they are being
invoked. It appears that /usr/share/rubygems-integration doesn't even exist in Debian
or Devuan[1].

What does

  dpkg -S /usr/share/rubygems-integration
  dpkg -l|grep ruby

produce?

The only reference I can find to soap4r is the package ruby-soap4r[2]. That has
a number of old and unresolved bugs which affect apt-listbugs. I suspect you may
need to reassign your Debian bug there once you have worked out what is going on
more carefully.

Mark

[1]  https://packages.debian.org/search?suite=sid&arch=any&mode=filename&searchon=contents&keywords=usr%2Fshare%2Frubygems-integration

[2]  https://tracker.debian.org/pkg/ruby-soap4r